package org.lsis.bruno.inf21.rmi.hello;

import java.rmi.RemoteException;

public class HelloImpl extends java.rmi.server.UnicastRemoteObject implements
		Hello {
	private int time;

	public HelloImpl() throws java.rmi.RemoteException {
		this(0);
	}

	public HelloImpl(int time) throws java.rmi.RemoteException {
		this.time = time;
	}

	@Override
	public String sayHello() throws RemoteException {
		return sayHello("World ! [" + (time++) + "]");
	}

	@Override
	public String sayHello(String name) throws RemoteException {
		return "Hello " + name;
	}

	@Override
	public String sayHello(Person p) throws RemoteException {
		p.setNickname("Man");
		return sayHello(p.getFirstname() + " " + p.getLastname());
	}

	@Override
	public int getTime() throws java.rmi.RemoteException {
		return time;
	}

	@Override
	public void setTime(int time) throws java.rmi.RemoteException {
		this.time = time;
	}
}
