package org.lsis.bruno.inf21.rmi.params;

import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.util.ArrayList;
import java.util.List;

public class OrderClient {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		OrderLine orderLine = new OrderLine("ScrewDriver", 1);
		List<OrderLine> orderLines;
		try {
			Registry registry = LocateRegistry.getRegistry(args[0]);
			Order order = (Order) registry.lookup("OrderObject");

			order.addLine(orderLine);
			order.addProduct("Screw", 100);
			System.out.println(orderLines = order.getOrderLines());

		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (NotBoundException e) {
			e.printStackTrace();
		}
	}
}
